> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get GRC entity by ID

> Get a GRC entity by its ID



## OpenAPI

````yaml get /grc/entities/{entity_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /grc/entities/{entity_id}:
    get:
      tags:
        - grc
        - entities
      summary: Get GRC entity by ID
      description: Get a GRC entity by its ID
      operationId: get_grc_entity_by_id
      parameters:
        - name: entity_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Entity Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GRCEntityResponse'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    GRCEntityResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the GRC entity
        name:
          type: string
          title: Name
          description: Entity name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Detailed description of the entity
        type:
          type: string
          title: Type
          description: Type or classification of the GRC entity
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ScopedGRCEntityVendorAttributes'
          description: Vendor-specific attributes and identifiers
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Timestamp when the entity was created
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Timestamp when the entity was last updated
      type: object
      required:
        - id
        - name
        - type
        - vendor_attributes
      title: GRC Entity
      description: Response model for returning GRC entity details via an API endpoint.
    ErrorException:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorException
    ScopedGRCEntityVendorAttributes:
      properties:
        id:
          type: string
          title: Id
        vendor:
          type: string
          title: Vendor
        data:
          anyOf:
            - type: object
            - type: 'null'
          title: Data
      type: object
      required:
        - id
        - vendor
      title: ScopedGRCEntityVendorAttributes
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````